package com.example.easj.usingpreferences;

import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

import java.util.Map;

/**
 * Adapted from Lee: Beginning Android 4 Application Development, page 252-262
 */
public class MainActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
    }

    public void onClickLoad(View view) {
        Intent intent = new Intent(this, AppPreferenceActivity.class);
        startActivity(intent);
    }

    public void onClickDisplay(View view) {
        SharedPreferences pref = PreferenceManager.getDefaultSharedPreferences(this);
        Map map = pref.getAll();
        Toast.makeText(this, map.toString(), Toast.LENGTH_LONG).show();
    }

    public void onClickModify(View view) {
        EditText editText = (EditText) findViewById(R.id.txtString);
        String str = editText.getText().toString();

        SharedPreferences pref = PreferenceManager.getDefaultSharedPreferences(this);
        SharedPreferences.Editor editor = pref.edit();
        editor.putString("editTextPref", str);
        editor.apply();
    }
}
